Create a rule
curl --request POST \
--url https://app.equated.co/api/automations/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"conditions": {
"conditions": [
{
"value": "<string>"
}
]
},
"effects": [
{
"kind": "SET_CURRENCY",
"currency": "<string>",
"sortOrder": 1
}
],
"description": "<string>",
"priority": 123,
"stopProcessing": true
}
'import requests
url = "https://app.equated.co/api/automations/rules"
payload = {
"name": "<string>",
"conditions": { "conditions": [{ "value": "<string>" }] },
"effects": [
{
"kind": "SET_CURRENCY",
"currency": "<string>",
"sortOrder": 1
}
],
"description": "<string>",
"priority": 123,
"stopProcessing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
conditions: {conditions: [{value: '<string>'}]},
effects: [{kind: 'SET_CURRENCY', currency: '<string>', sortOrder: 1}],
description: '<string>',
priority: 123,
stopProcessing: true
})
};
fetch('https://app.equated.co/api/automations/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule": null
}{
"error": "<string>"
}Automations
Create a rule
POST
/
api
/
automations
/
rules
Create a rule
Authorizations
API token issued from the Equated app under Settings → API Tokens.
Body
application/json
Required string length:
1 - 255Available options:
RECEIPT, TRANSACTION Available options:
RECEIPT_PARSED, TRANSACTION_INGESTED, TRANSACTION_UPDATED, MANUAL_PREVIEW, MANUAL_APPLY Show child attributes
Show child attributes
Minimum array length:
1- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Maximum string length:
500Response
Created